.gigago-checkout-popup-active {
    overflow: hidden
}

.gigago-checkout-popup-active .gigago-check-overlay {
    visibility: visible;
    opacity: 1
}

.gigago-checkout-popup-active .popup-esim-compatible-devices {
    opacity: 1;
    visibility: visible
}

.popup-esim-compatible-devices {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    position: fixed;
    width: 745px;
    height: 550px;
    top: 50%;
    left: 50%;
    z-index: 9999;
    opacity: 0;
    visibility: hidden;
    overflow: hidden;
    border-radius: 24px;
    padding-bottom: 30px;
    transform: translate(-50%, -50%);
    background-color: #fff;
    transition: opacity .25s ease, visibility 0s ease
}

.popup-esim-compatible-devices .compatible-devices-content {
    overflow: hidden;
    overflow-y: auto;
    padding: 30px 30px 0 30px
}

.popup-esim-compatible-devices .compatible-devices-content::-webkit-scrollbar {
    width: 8px
}

.popup-esim-compatible-devices .compatible-devices-content::-webkit-scrollbar-track {
    border-radius: 4px
}

.popup-esim-compatible-devices .compatible-devices-content::-webkit-scrollbar-thumb {
    background: #e5e7ec;
    border-radius: 4px
}

.popup-esim-compatible-devices .compatible-devices-content .devices-content {
    padding-bottom: 50px
}

.popup-esim-compatible-devices .compatible-devices-content .devices-content ul {
    padding-left: 20px
}

.popup-esim-compatible-devices .compatible-devices-content .close-phone-model {
    position: absolute;
    left: 0;
    bottom: 15px;
    width: 100%;
    background-color: #fff;
    text-align: center;
    height: 65px
}

.popup-esim-compatible-devices .compatible-devices-content .close-phone-model .read_accept {
    border-radius: 10px;
    margin: 0 auto;
    margin-top: 10px;
    background-color: var(--primary);
    border-color: rgba(0, 0, 0, .05);
    color: #fff;
    text-transform: uppercase;
    padding: 10px 20px;
    text-align: center;
    transition: transform .3s, border .3s, background .3s, box-shadow .3s, opacity .3s, color .3s;
    vertical-align: middle;
    display: inline-block;
    text-decoration: none;
}

.popup-esim-compatible-devices.device-compatibility .header {
    max-width: 100%
}

.popup-esim-compatible-devices .header {
    font-weight: 600;
    font-size: 24px;
    line-height: 32px;
    padding: 30px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    background: #f8f8f8
}

.popup-esim-compatible-devices .header .gigago-nav-close {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 44px;
    height: 44px;
    border-radius: 22px;
    background: #f5f5f8
}

.popup-esim-compatible-devices .row-absolute {
    position: absolute;
    left: 0;
    bottom: 20px;
    width: 100%;
    background-color: #fff
}

@media(max-width: 745px) {
    .popup-esim-compatible-devices {
        width: 100%;
        height: 100%;
        border-radius: 0
    }

    .popup-esim-compatible-devices .header {
        padding: 20px 15px;
        font-size: 18px;
        line-height: 24px
    }

    .popup-esim-compatible-devices .compatible-devices-content {
        padding: 30px 15px 0 15px
    }
}

.gigago-check-overlay {
    position: fixed;
    width: 100vw;
    height: 100vh;
    top: 0;
    bottom: 0;
    left: 0;
    z-index: 997;
    opacity: 0;
    background-color: rgba(0, 0, 0, .7);
    visibility: hidden;
    transition: opacity .25s ease, visibility 0s ease
}